package org.springblade.modules.JlrhJws.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.JlrhJws.entity.JlrhJwsEntity;
import org.springblade.modules.JlrhJws.excel.JlrhJwsExcel;
import org.springblade.modules.JlrhJws.mapper.JlrhJwsMapper;
import org.springblade.modules.JlrhJws.service.IJlrhJwsService;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVO;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVOS;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 警务室 服务实现类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Service
public class JlrhJwsServiceImpl extends BaseServiceImpl<JlrhJwsMapper, JlrhJwsEntity> implements IJlrhJwsService {

	@Override
	public IPage<JlrhJwsVO> selectJlrhJwsPage(IPage<JlrhJwsVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectJlrhJwsPage(page, params));
	}


	@Override
	public List<JlrhJwsExcel> exportJlrhJws(Map<String, Object> params) {
		List<JlrhJwsExcel> JlrhJwsList = baseMapper.exportJlrhJws(params);
		return JlrhJwsList;
	}

	@Override
	public JlrhJwsVO getDetail(Long id) {
		return baseMapper.getDetail(id);
	}

	@Override
	public List<JlrhJwsVO> getDkfw(String deptId) {
		return baseMapper.getDkfw(deptId);
	}

	@Override
	public JlrhJwsVO getPcsJwd(String deptId) {
		return baseMapper.getPcsJwd(deptId);
	}

	@Override
	public IPage<JlrhJwsEntity> selectJwsPcs(IPage<Object> page, JlrhJwsEntity jlrhJws, String deptId) {
		return baseMapper.selectJwsPcs(page, jlrhJws, deptId);
	}

	@Override
	public List<JlrhJwsVOS> selectJwsSq(Long id, String deptName) {
		return baseMapper.selectJwsSq(id, deptName);
	}

	@Override
	public IPage<JlrhJwsEntity> selectJwsxx(IPage<Object> page, JlrhJwsEntity jlrhJws) {
		return baseMapper.selectJwsxx(page, jlrhJws);
	}

	@Override
	public IPage<JlrhJwsEntity> selectSqByDeptname(IPage<Object> page, JlrhJwsEntity jlrhJws, String deptId) {
		return baseMapper.selectSqByDeptname(page, jlrhJws, deptId);
	}


	@Override
	public int getJwsSl(Long userId) {
		return baseMapper.getJwsSl(userId);
	}
}
